=== src/interpreter/Makefile ===
--- 
+++ 
@@ -24,20 +24,20 @@
 endif
 
 all: $(TARGET)
-install: $(TARGET)
-cfiles: $(SRCS)
-	-rm -f *.hi *.hc
+cfiles: cleanC $(SRCS)
 	$(HMAKE) -hc=$(LOCAL)nhc98 -I../hmake -package base -C HInteractive.hs
 clean:
-	-rm -f *.hi *.o $(OBJDIR)/*.o $(OBJDIR)/HInteractive$(EXE)
-realclean: clean
+	-rm -f *.hi *.o $(OBJDIR)/*.o
+cleanC: clean
 	-rm -f *.hc *.c
+realclean: clean cleanC
+	-rm -f $(OBJDIR)/HInteractive$(EXE)
 
 $(TARGET): $(OBJDIR) $(SRCS)
 	$(HMAKE) -hc=$(HC) HInteractive -d$(OBJDIR) \
 		$(shell echo "${BUILDOPTS}") -i../hmake $(HFLAGS)
 	mv $(OBJDIR)/HInteractive$(EXE) $(TARGET)
-	strip $(TARGET)
+	$(STRIP) $(TARGET)
 
 $(OBJDIR):
 	mkdir -p $(OBJDIR)
@@ -45,7 +45,7 @@
 fromC: $(OBJDIR)
 	cp $(CHFILES) .
 	$(LOCAL)nhc98 -cpp -o $(TARGET) -d$(OBJDIR) *.$C
-	strip $(TARGET)
+	$(STRIP) $(TARGET)
 
 
 paper.ps: paper.dvi
