## hmake 3.14

=== src/cpphs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIBRARY	= cpphs
-VERSION	= 1.3
+VERSION	= 1.5
 
 DIRS	= Language/Preprocessor/Cpphs \
 	  Text/ParserCombinators
@@ -48,4 +48,4 @@
 
 $(LIBRARY): $(SRCS)
 	$(HC) $(HFLAGS) $(HEAP) -o $@  $(SRCS)
-	$(STRIP) $@
+	$(HOSTSTRIP) $@
