=== src/hmake/Makefile ===
--- 
+++ 
@@ -19,7 +19,9 @@
 	  Language/Preprocessor/Cpphs/ReadFirst.hs \
 	  Language/Preprocessor/Cpphs/Tokenise.hs \
 	  Language/Preprocessor/Cpphs/SymTab.hs \
-	  Language/Preprocessor/Cpphs/HashDefine.hs
+	  Language/Preprocessor/Cpphs/HashDefine.hs \
+	  Language/Preprocessor/Cpphs/MacroPass.hs \
+	  Language/Preprocessor/Cpphs/Options.hs
 CPPSRCS = Graph.hs GetDep.hs Compat.hs Imports.hs Platform.hs Config.hs
 CFGSRCS = RunAndReadStdout.hs Config.hs Compiler.hs Platform.hs
 RUNSRCS = runhs.hs
@@ -66,7 +68,7 @@
 	$(HC) $(HFLAGS)      -o $(OLDER)  -d $(OBJDIR) Older.$C
 	$(HC) $(HFLAGS)    -o $(MKCONFIG) -d $(OBJDIR) MkConfig.$C $(CFGCFILES)
 	$(HC) $(HFLAGS)      -o $(RUNHS)  -d $(OBJDIR) runhs.$C
-	$(STRIP) $(MKPROG) $(OLDER) $(MKCONFIG) $(RUNHS)
+	$(HOSTSTRIP) $(MKPROG) $(OLDER) $(MKCONFIG) $(RUNHS)
 clean:
 	rm -f $(OBJS) $(CPPOBJS) $(CFGOBJS)
 	rm -f $(OBJDIR)/runhs.$O $(OBJDIR)/Older.$O $(OBJDIR)/MkConfig.$O
@@ -85,13 +87,13 @@
 
 $(MKPROG): $(OBJDIR) $(CPPHSOBJDIR) $(OBJS) $(CPPOBJS) $(CPPHSOBJS)
 	$(HC) $(HFLAGS) $(HEAP) -o $@  $(OBJS) $(CPPOBJS) $(CPPHSOBJS)
-	$(STRIP) $@
+	$(HOSTSTRIP) $@
 $(OLDER): $(OBJDIR) $(OBJDIR)/Older.$O
 	$(HC) $(HFLAGS) -o $@  $(OBJDIR)/Older.$O
-	$(STRIP) $@
+	$(HOSTSTRIP) $@
 $(MKCONFIG): $(OBJDIR) $(OBJDIR)/MkConfig.$O $(CFGOBJS)
 	$(HC) $(HFLAGS) -o $@  $(OBJDIR)/MkConfig.$O $(CFGOBJS)
-	$(STRIP) $@
+	$(HOSTSTRIP) $@
 $(RUNHS): $(OBJDIR) $(OBJDIR)/runhs.$O
 	$(HC) $(HFLAGS) -o $@ $(OBJDIR)/runhs.$O
 
@@ -161,10 +163,10 @@
 ${CPPHSOBJDIR}/Text/ParserCombinators/HuttonMeijer.$O:	
 ${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/HashDefine.$O:
 ${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Tokenise.$O:	\
-		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/HashDefine.$O
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/HashDefine.$O \
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Position.$O
 ${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/ReadFirst.$O: \
-		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Position.$O \
-		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/SymTab.$O
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Position.$O
 ${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Position.$O:	
 ${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/SymTab.$O:	
 ${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/CppIfdef.$O:	\
@@ -172,7 +174,10 @@
 		${CPPHSOBJDIR}/Text/ParserCombinators/HuttonMeijer.$O \
 		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Position.$O \
 		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/ReadFirst.$O \
-		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Tokenise.$O
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Tokenise.$O \
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/Options.$O \
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/HashDefine.$O \
+		${CPPHSOBJDIR}/Language/Preprocessor/Cpphs/MacroPass.$O
 
 
 
@@ -204,10 +209,10 @@
 
 ../cpphs/Language/Preprocessor/Cpphs/HashDefine.$C: 
 ../cpphs/Language/Preprocessor/Cpphs/Tokenise.$C: \
-		../cpphs/Language/Preprocessor/Cpphs/HashDefine.$C 
+		../cpphs/Language/Preprocessor/Cpphs/HashDefine.$C \
+		../cpphs/Language/Preprocessor/Cpphs/Position.$C 
 ../cpphs/Language/Preprocessor/Cpphs/ReadFirst.$C: \
-		../cpphs/Language/Preprocessor/Cpphs/Position.$C \
-		../cpphs/Language/Preprocessor/Cpphs/SymTab.$C 
+		../cpphs/Language/Preprocessor/Cpphs/Position.$C
 ../cpphs/Language/Preprocessor/Cpphs/Position.$C: 
 ../cpphs/Text/ParserCombinators/HuttonMeijer.$C: 
 ../cpphs/Language/Preprocessor/Cpphs/SymTab.$C: 
@@ -216,4 +221,7 @@
 		../cpphs/Text/ParserCombinators/HuttonMeijer.$C \
 		../cpphs/Language/Preprocessor/Cpphs/Position.$C \
 		../cpphs/Language/Preprocessor/Cpphs/ReadFirst.$C \
-		../cpphs/Language/Preprocessor/Cpphs/Tokenise.$C 
+		../cpphs/Language/Preprocessor/Cpphs/Tokenise.$C \
+		../cpphs/Language/Preprocessor/Cpphs/Options.$C \
+		../cpphs/Language/Preprocessor/Cpphs/HashDefine.$C \
+		../cpphs/Language/Preprocessor/Cpphs/MacroPass.$C
