=== src/interpreter/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 ifeq "${BUILDCOMP}" "ghc"
 HFLAGS = $(shell $(LOCAL)fixghc $(GHCSYM) \
-      -package lang -package util -package base $(READLINE) )
+      -package lang -package util -package base -package readline $(READLINE) )
 export HFLAGS
 endif
 ifeq "${BUILDCOMP}" "hbc"
@@ -40,7 +40,7 @@
 	$(HMAKE) -hc=$(HC) HInteractive -d$(OBJDIR) \
 		$(shell echo "${BUILDOPTS}") -i../hmake $(HFLAGS)
 	mv $(OBJDIR)/HInteractive$(EXE) $(TARGET)
-	$(STRIP) $(TARGET)
+	$(HOSTSTRIP) $(TARGET)
 
 $(OBJDIR):
 	mkdir -p $(OBJDIR)
@@ -49,7 +49,7 @@
 	cp $(CHFILES) .
 	$(LOCAL)nhc98 -cpp -o $(TARGET) -d$(OBJDIR) *.$C
 	rm $(notdir ${CHFILES})
-	$(STRIP) $(TARGET)
+	$(HOSTSTRIP) $(TARGET)
 
 
 paper.ps: paper.dvi
