=== debian/changelog ===
hmake (3.14-3) unstable; urgency=low

  [ Joachim Breitner ]
  * Section: haskell

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Fix FTBFS: Compat.hs:47:55: Not in scope: `isAlphanum' (Closes: #628308)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 02 Jun 2011 20:24:46 +0200

hmake (3.14-2) unstable; urgency=low

  * Added libghc6-editline-dev dependency 
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Fri, 05 Feb 2010 19:47:53 +0100

hmake (3.14-1) unstable; urgency=low

  * New upstream relase
  * Switch to 3.0 (quilt) source format
  * Adopt for the Debian Haskell Team
  * Redo Packaging using dh (Closes: #536925, #403842)
  * Steal patches from
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/hs-hmake/
  * Resurrect Ian’s "machine type debian" patch 
  * patches/no-package-lang.patch: Do not pass -package lang to ghc6

 -- Joachim Breitner <nomeata@debian.org>  Fri, 05 Feb 2010 17:07:46 +0100

hmake (3.13-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Set urgency to high as this upload fixes an RC bug.
  * New upstream release:
    * Dropped patch to script/fixghc (applied upstream).
    * Dropped patch to src/interpreter/Makefile (applied upstream).
    * src/interpreter/SimpleLineEditor.hs (applied upstream).
  * scripts/confhc:
    * Filter out LINE pragma when determining the version number of
      GHC. (Closes: #427311)
  * src/hmake/{Config.hs,PackageConfig.hs}:
    * Update the program to search for the imports in another directory
      if the GHC version >= 6.8 as of that version they are shipped in
      $ghclibdir/lib/$package instead of $ghclibdir/imports 
      (Closes: #459737) 
  
 -- Arjan Oosting <arjan@debian.org>  Sat, 16 Feb 2008 23:02:48 +0100

hmake (3.12-1) unstable; urgency=low

  * New upstream version:
    * Builds with GHC 6.6. Closes: #393582.
    * Dropped patch to src/interpreter/HInteractive.hs (unnecessary
      now cpp is not used on that file).
    * Dropped patch to script/confhc (upstream applied an alternate fix).
    * Dropped patch to src/hmake/PackageConfig.hs (upstream applied an
      alternate fix).
    * Dropped patch to src/interpreter/Makefile (applied upstream).
    * Dropped patch to man/hmake.1 (applied upstream).
    * Dropped patch to Makefile (applied upstream).
  * make realclean rather than merely clean.
  * Added hacks to clean .hi files that get left behind.
  * Drop README that just pointed at the upstream website.
  * Updated debian/control so the new GHC arches get included.
  * Apply:
      Malcolm.Wallace@cs.york.ac.uk**20061030104744
      module Readline is now called System.Console.Readline,
      and it lives in -package readline instead of -package util (or wherever
      it used to be).
    (affects script/fixghc, src/interpreter/Makefile and
     src/interpreter/SimpleLineEditor.hs).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 28 Oct 2006 21:22:32 +0000

hmake (3.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patches from Stefan Potyra to fix bug reported by Daniel
    Schepler to adapt to output changes in new ghc6 version that make
    "__GLASGOW_HASKELL__" be expanded into many lines instead of one.
    scripts/confhc uses the output to create lib/debian/config, and
    makes assumptions about the format. Similarly for 
    src/interpreter/HInteractive.hs. Closes: #335842.

 -- Lars Wirzenius <liw@iki.fi>  Fri,  6 Jan 2006 19:30:00 +0200

hmake (3.10-1) unstable; urgency=low

  * New upstream version. Closes: #309837.
  * Remove $nhc98_app_bdeps option from build-deps as nhc98 is being
    removed from Debian.
  * Escape ${shlibs:Depends} in debian/control.in for
    update-haskell-control.
  * Bump standards version to 3.6.2.
  * Run update-haskell-control.
  * Set DEBIAN env var when configuring so the dynamic compilers are
    added to the config rather than the installed static ones.
  * Built against new libgmp3-dev. Closes: #329912.
  * Use \[:o] in the hmake manpage rather than the actual character from
    some charset.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 05 Oct 2005 21:57:56 +0000

hmake (3.09-3) unstable; urgency=low

  * Have in-tree harch just "echo debian".
  * Set MACHINE to debian rather than calling harch in /usr/bin/*.
    Closes: #300620.
  * Remove /usr/bin/harch (and it's manpage) as it is no longer needed.
  * Update build-deps to reflect nhc98 not being available for m68k or sparc.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 26 Mar 2005 11:06:59 +0000

hmake (3.09-2) unstable; urgency=low

  * Look in the base package when compiling with nhc98 1.16.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 28 Jan 2005 20:47:32 +0000

hmake (3.09-1) unstable; urgency=low

  * Updated debian/copyright.
  * Use `dpkg-architecture -qDEB_HOST_ARCH`-`uname` to create harch.
    Fixes problems where the existing implementation doesn't know some
    names need to be unified.
  * Use update-haskell-control to generate debian/control from a control.in.
    Use vars for the compiler info. Closes: #253218.
  * Call update-haskell-control --check in debian/rules.
  * Policy version bumped to 3.6.1 (no other changes necessary).
  * Removed debian/hmake.undocumented as we don't even call dh_undocumented
    any more.
  * Remove debian/hi.1 when making clean.
  * Fix type (srcipt -> script) in debian/in-rules.
  * Made watch file

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 18 Nov 2004 17:04:56 +0000

hmake (3.08-7) unstable; urgency=low

  * Add m68k to the list of arches that can use ghc6 as a build-dep.
  * Require ghc6 >= 6.2.1-1 to avoid the static linking in earlier
    versions on some arches.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 25 Apr 2004 21:07:31 +0000

hmake (3.08-6) unstable; urgency=low

  * Use runAndReadStdout to find out what a compiler is rather than
    playing games with return statuses. Works around an nhc98 bug
    in reporting process exit statuses.


