=== debian/control ===
Source: hmake
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Standards-Version: 3.8.4
Build-Depends:
	ghc,
	sharutils,
	cdbs,
	debhelper (>= 7.0.50~),
	libncurses5-dev,
	libghc-editline-dev

Package: hmake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ghc 
Description: The Haskell Make System
 This package contains a universal make system for use with
 Haskell compilers.  hmake is not compiler-dependent, so you
 may use this with hugs, ghc, or nhc98.
 .
 hmake will use the module import definitions of the source
 files to determine which modules need to be compiled and
 loaded to run the resulting executable.
 .
 In addition, the "hi" hmake-interactive environment is provided.
 This is a hugs-like text-mode utility that allows you to
 interactively program using any of the available Haskell
 compilers (including ghc, but defaults to nhc98.)  WARNING:  This
 is a fairly slow interpreter :-)
 .
 For more information, see the nhc98 web page at
 <http://www.cs.york.ac.uk/fp/nhc98/>.
