=== debian/watch ===
# IGNORE: hmake webpage has vanished
# version=2
# http://www.haskell.org/hmake/ (?:.*/)?hmake-(.*)\.tar\.gz
